com.r3corda.node.services.statemachine / ProtocolIORequest

# ProtocolIORequest

`interface ProtocolIORequest`

### Properties

session | `abstract val session: ProtocolSession`
stackTraceInCaseOfProblems | `abstract val stackTraceInCaseOfProblems: StackSnapshot`

### Inheritors

ReceiveRequest | `interface ReceiveRequest<T : SessionMessage> : ProtocolIORequest`
SendRequest | `interface SendRequest : ProtocolIORequest`